import vl from 'vega-lite-api';
export const viz = vl
  .markCircle({ 
    size: 300, 
    opacity: 0.5 })

  .encode(
    vl.x().fieldQ('Stars').aggregate('average'),
    
    vl.y().fieldN('Style'),
    
    vl.fill().field('Country').type('nominal'),
    
    vl.size()
    .fieldN('Country')
    .aggregate('count')
    .scale({'range': [1, 5000]}),
    
    vl.tooltip().fieldN('Stars')
  );